Bug 988383 - Installation Guide should stress the importance of bootloader passwords
Installation Guide should stress the importance of bootloader passwords
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
7.0
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Petr Bokoc
ecs-bugs
: Documentation
Depends On: 988382
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 09:02 EDT by Petr Bokoc
Modified: 2014-06-11 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 988382
Environment:
Last Closed: 2014-06-11 11:51:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bokoc 2013-07-25 09:02:17 EDT
+++ This bug was initially created as a clone of Bug #988382 +++

The Installation Guide should contain a mention of GRUB2 password protection ("insecure bootloader is insecure, set a password for it") and a link to the System Administrator's Guide, where GRUB2 in general is discussed in depth.

There is a mention on how to set up GRUB2 password using the Kickstart Configurator (33.3. Boot Loader Options), but no mention on how to set it up when making a kickstart file without using the Configurator, or during the graphical installation.

Both of these are fairly complicated and don't really fit in the scope of the book, but a mention on the importance of setting up bootloader password and a link to the System Administrator's Guide should be included.
Comment 3 Petr Bokoc 2013-11-19 17:48:46 EST
Ready for QA.

The admonition is visible in 32.4 Kickstart Options under the "bootloader (required)" heading:
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/s1-kickstart2-options.html

and also in 33.3 Boot Loader Options:
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/s1-redhat-config-kickstart-bootloader.html

Red_Hat_Enterprise_Linux-Installation_Guide-7-web-en-US-0.1-11.el6eng

Note You need to log in before you can comment on or make changes to this bug.